# org.springframework.beans.factory.annotation

## Interfaces

- AnnotatedBeanDefinition

## Classes

- AnnotatedGenericBeanDefinition
- AnnotationBeanWiringInfoResolver
- AutowiredAnnotationBeanPostProcessor
- BeanFactoryAnnotationUtils
- CustomAutowireConfigurer
- InitDestroyAnnotationBeanPostProcessor
- InjectionMetadata
- InjectionMetadata.InjectedElement
- QualifierAnnotationAutowireCandidateResolver
- RequiredAnnotationBeanPostProcessor

## Enums

- Autowire

## Annotation Types

- Autowired
- Configurable
- Qualifier
- Required
- Value